P2PWrapperFactory
Keywords: uk.ac.ic.doc.automed.wrappers.P2PWrapperFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.wrappers
Class P2PWrapperFactory

    java.lang.Object
      uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
          uk.ac.ic.doc.automed.wrappers.P2PWrapperFactory

    public class P2PWrapperFactory

extends AutoMedWrapperFactory

A wrapper factory for P2P communication with other AutoMed repositories

Author:
  Peter McBrien (pjm@doc.ic.ac.uk)

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`automedModelName, baseName, empty, factoryInUse, modelName, SOURCE_PREFIX`

Constructor Summary
`P2PWrapperFactory()`

Method Summary
`Schema` | `createAutoMedSchema(AutoMedWrapper wrapper, java.lang.String schemaName)` Create an AutoMed oriented schema from the source oriented schema.
`protected void` | `createTypeHierarchy()`
`Model` | `getAutoMedModel()` Always the same as `getModel()` for the P2PWrapperFactory.
`java.lang.String[]` | `getFeatureNames()` Return the list of feature names provided by the wrapper factory.
`Model` | `getModel()` Broken!! Until the P2P protocol package supports transfer of models this (incorrectly) returns null.
`protected AutoMedWrapper` | `newAutoMedWrapper()` Create a new empty wrapper instance that this wrapper factory is then able to populate.
`protected void` | `populateSchema(AutoMedWrapper wrapper)` Edited by Duc Le on 13/11/2005 to populate objects into a `Schema` object It uses `SchemaGetter` to do the task.

Methods inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`clearFeatures, getAutoMedModelName, getFeatures, getModelBaseName, getModelName, isFeatureInUse, safeIQL, setFeatures, setFeatures, setModelBaseName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### P2PWrapperFactory

    public P2PWrapperFactory()

Method Detail

### createTypeHierarchy

    protected void createTypeHierarchy()
                                throws AutoMedException

  Throws:
    `AutoMedException`

### getFeatureNames

    public java.lang.String[] getFeatureNames()

  Description copied from class: `AutoMedWrapperFactory`
  Return the list of feature names provided by the wrapper factory. The order to of feature names is the same as the bit position in the `#setFeature` methods. In particular you may use the list on `javax.swing.JList#setListData()`

  Specified by:
    `getFeatureNames` in class `AutoMedWrapperFactory`

### getModel

    public Model getModel()

  Broken!! Until the P2P protocol package supports transfer of models this (incorrectly) returns null.

  Specified by:
    `getModel` in class `AutoMedWrapperFactory`

### getAutoMedModel

    public Model getAutoMedModel()

  Always the same as `getModel()` for the P2PWrapperFactory.

  Specified by:
    `getAutoMedModel` in class `AutoMedWrapperFactory`

### populateSchema

    protected void populateSchema(AutoMedWrapper wrapper)
                           throws DataSourceException

  Edited by Duc Le on 13/11/2005 to populate objects into a `Schema` object
  It uses `SchemaGetter` to do the task.

  Specified by:
    `populateSchema` in class `AutoMedWrapperFactory`
  Throws:
    `DataSourceException`

### createAutoMedSchema

    public Schema createAutoMedSchema(AutoMedWrapper wrapper,
                                      java.lang.String schemaName)
                               throws IntegrityException,
                                      NotFoundException

  Description copied from class: `AutoMedWrapperFactory`
  Create an AutoMed oriented schema from the source oriented schema.

  Specified by:
    `createAutoMedSchema` in class `AutoMedWrapperFactory`
  Parameters:
    `wrapper` - A wrapper containing the source oriented `Schema` from which the AutoMed oriented Schema should be produced.
    `schemaName` - name of the new AutoMed construct oriented schema that is to be created from the source oriented schema. This schema must not yet exist.
  Throws:
    `IntegrityException` - if schemaName already exists.
    `NotFoundException` - if you have not previously wrapped the datasource as a source oriented schema, using either `#AutoMedWrapper.getSchema(String)` or `#AutoMedWrapper.selectNewAutoMedWrapper`

### newAutoMedWrapper

    protected AutoMedWrapper newAutoMedWrapper()

  Description copied from class: `AutoMedWrapperFactory`
  Create a new empty wrapper instance that this wrapper factory is then able to populate.

  Specified by:
    `newAutoMedWrapper` in class `AutoMedWrapperFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD